Bug 1129589 - [Admin Portal] UI is odd when too long subtab title
Summary: [Admin Portal] UI is odd when too long subtab title
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.6.0
Assignee: bugs@ovirt.org
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 09:38 UTC by Jiri Belka
Modified: 2016-02-10 19:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-20 12:12:17 UTC
oVirt Team: UX


Attachments (Terms of Use)
screenshot 1 (73.38 KB, image/png)
2014-08-13 09:38 UTC, Jiri Belka
no flags Details
screenshot 2 (108.78 KB, image/png)
2014-08-13 09:38 UTC, Jiri Belka
no flags Details

Description Jiri Belka 2014-08-13 09:38:00 UTC
Description of problem:

UI odd when too long subtab title:

- a part of some hidden character appears
- some strange white rectancle
- in subtab "dialog" the list of subtabs is diplayed _twice_

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. have long subtab title
2.
3.

Actual results:
see above

Expected results:


Additional info:
I used UI plugin to make this subtab.

...
                        api.addSubTab('Host', '1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100', 'subtab1', '');
...

http://www.ovirt.org/Features/UIPlugins#API_function_reference

Comment 1 Jiri Belka 2014-08-13 09:38:26 UTC
Created attachment 926335 [details]
screenshot 1

Comment 2 Jiri Belka 2014-08-13 09:38:46 UTC
Created attachment 926336 [details]
screenshot 2

Comment 3 Einav Cohen 2015-04-20 12:12:17 UTC
per Itamar's request: closing old bugs (this is not a real life use case, therefore not worth investing resources into solving it).


Note You need to log in before you can comment on or make changes to this bug.